Download it now!
Bug 37226 - Calc crashes while trying to open attached spreadheet (regression)
Summary: Calc crashes while trying to open attached spreadheet (regression)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 Beta5
Hardware: x86 (IA32) Linux (All)
: medium critical
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-15 08:58 UTC by Harri Pitkänen
Modified: 2011-05-18 10:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
spreadsheet causing the crash (30.87 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-05-15 08:58 UTC, Harri Pitkänen
Details
GDB log for the crash (19.84 KB, text/plain)
2011-05-15 09:00 UTC, Harri Pitkänen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harri Pitkänen 2011-05-15 08:58:38 UTC
Created attachment 46740 [details]
spreadsheet causing the crash

Trying to open the attached spreadsheet (used for finding duplicate localized function names) causes a repeatable crash with 3.4beta5. This is a regression compared to 3.3.2. I will attach the spreadsheet and gdb log (unfortunately without debugging symbols).
Comment 1 Harri Pitkänen 2011-05-15 09:00:09 UTC
Created attachment 46741 [details]
GDB log for the crash
Comment 2 gleppert 2011-05-16 15:44:57 UTC
I can confirm this bug on my computer. Opening file causes immediate crash. 

System: Ubuntu 10.10/Gnome2, LibreOffice 3.4Beta5, German UI, Intel 32-bit

It is a regression, in LibreOffice 3.3.2 there is no crash.
Comment 3 Kohei Yoshida 2011-05-16 15:53:01 UTC
I'll take this.
Comment 4 Kohei Yoshida 2011-05-18 08:27:12 UTC
This is fixed for 3.4.1, however, I'm not getting enough sign-offs for inclusion into 3.4.